using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FotbalPortal.Models
{
    public class Result
    {
        public int id { get; set; }
        [Display(Name = "Kolo")]
        public int round { get; set; }
        [Display(Name = "Domácí klub")]
        public int homeClubID { get; set; }
        public virtual Club homeClub { get; set; }
        [Display(Name = "Hostující klub")]
        public int visitorClubID { get; set; }
        public virtual Club visitorClub { get; set; }
        [Display(Name = "Den zápasu")]
        public DateTime date { get; set; }
        [Display(Name = "Soutěž")]
        public int categoryID { get; set; }
        public virtual Category category { get; set; }
        [Display(Name = "Sezóna (rok)")]
        public int seasonYear { get; set; }
        [Display(Name = "Góly domácí")]
        public int homeClubGoals { get; set; }
        [Display(Name = "Góly hosté")]
        public int visitorClubGoals { get; set; }
        [Display(Name = "Body domácí")]
        public int homeClubPoints { get; set; }
        [Display(Name = "Body hosté")]
        public int visitorClubPoints { get; set; }
        [Display(Name = "Výhra na penalty")]
        public bool penaltyWin { get; set; }
    }

    public class TableResult
    {
        public int clubId { get; set; }
        public string clubName { get; set; }
        public int wins { get; set; }
        public int draws { get; set; }
        public int losts { get; set; }
        public int homeGoals { get; set; }
        public int awayGoals { get; set; }
        public int points { get; set; }
        public int matches { get; set; }
    }
}